The default backend for Blazechan.
John Dallahan 43a17f1c6d models/Post: wrap get_board() with Board object 8 months ago
locale/en/LC_MESSAGES Genesis 10 months ago
migrations Genesis 10 months ago
models models/Post: wrap get_board() with Board object 8 months ago
.gitignore Genesis 10 months ago
README.md warn about the backend in documentation 10 months ago
__init__.py Genesis 10 months ago
apps.py Genesis 10 months ago
settings.py add backend settings 10 months ago

README.md

Blazechan PostgreSQL Backend

Requirements

  • PostgreSQL v9.3 or greater (v10 recommended)
  • Python 3.5+
  • Blazechan 0.13.0+

NOTE! You need to use Django’s PostgreSQL backend in your config.json in order to use this backend, since this backend uses PostgreSQL-exclusive features.

Installation

  • Clone this repository to the backend/ directory of Blazechan.
  • Run: ./manage.py migrate from the Blazechan root directory.

IMPORTANT NOTE!

You should never change backends on an existing Blazechan install. This should only be done during your initial setup.


Copyright © 2018 m712. This project is licensed under GNU Affero General Public License, version 3 or (at your option) any later version.